petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecAXPY

Computes y = alpha x + y.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecAXPY(Vec y,PetscScalar alpha,Vec x)

Logically Collective on Vec Many br

### Input Parameters

| alpha | - the scalar Many br
| x, y | - the vectors Many br

### Output Parameter

y -output vector Many br

Many br

Notes: x and y MUST be different vectors Many br

### See Also

VecAYPX(), VecMAXPY(), VecWAXPY()

Level:intermediate
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex1f.F.html
src/vec/vec/examples/tutorials/ex1f90.F.html
src/vec/vec/examples/tutorials/ex20f90.F90.html
src/mat/examples/tutorials/ex2.c.html
src/mat/examples/tutorials/ex9.c.html
src/dm/examples/tutorials/ex10.c.html
src/dm/examples/tutorials/ex15.c.html
src/ksp/ksp/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex3.c.html